var kitco = {
	// Install a timeout handler to install the interval routine

	startup: function()
	{
		this.refreshInformation();		
		window.setInterval(this.refreshInformation, 60*60*1000);
	},

	// Called periodically to refresh the stock information

	refreshInformation: function()
	{
		var httpRequest = null;
		var fullUrl = "http://www.kitco.com/market/";
			
		function infoReceived()
		{
			var samplePanel = document.getElementById('kitcostatus');
			var output = httpRequest.responseText;
			if (output.length)
			{
				datestamp=output.substr(output.indexOf(">GOLD<"),100)
				datestamp="Rate as at "+datestamp.substr(datestamp.indexOf("<p>")+3,10)+ " "+ 
						datestamp.substr(datestamp.indexOf("<p>")+43,5) + "h"

				str=output.substr(output.indexOf(">GOLD<")+114,100)
				str1=str.substr(0,str.indexOf("</td>"))

				str=str.substr(str.indexOf("<p>")+3,100)
				str2=str.substr(0,str.indexOf("</td>"))

				samplePanel.label = "Bid: $"+str1+" | Ask: $"+str2;
				samplePanel.tooltipText = datestamp;
			}
		}
		
		httpRequest = new XMLHttpRequest();
		
		httpRequest.open("GET", fullUrl, true);
		httpRequest.onload = infoReceived;
		httpRequest.send(null);
	}
}

// Install load handler

window.addEventListener("load", function(e) { kitco.startup(); }, false);
